#include "interpreter.hpp"

namespace rubinius {
  const instructions::InstructionData Interpreter::instruction_data[] = {
    rubinius::instructions::data_add_scope,
    rubinius::instructions::data_allow_private,
    rubinius::instructions::data_cast_array,
    rubinius::instructions::data_cast_for_multi_block_arg,
    rubinius::instructions::data_cast_for_single_block_arg,
    rubinius::instructions::data_cast_for_splat_block_arg,
    rubinius::instructions::data_cast_multi_value,
    rubinius::instructions::data_check_frozen,
    rubinius::instructions::data_check_interrupts,
    rubinius::instructions::data_check_serial,
    rubinius::instructions::data_check_serial_private,
    rubinius::instructions::data_clear_exception,
    rubinius::instructions::data_create_block,
    rubinius::instructions::data_dup,
    rubinius::instructions::data_dup_many,
    rubinius::instructions::data_ensure_return,
    rubinius::instructions::data_find_const,
    rubinius::instructions::data_goto,
    rubinius::instructions::data_goto_if_equal,
    rubinius::instructions::data_goto_if_false,
    rubinius::instructions::data_goto_if_nil,
    rubinius::instructions::data_goto_if_not_equal,
    rubinius::instructions::data_goto_if_not_nil,
    rubinius::instructions::data_goto_if_not_undefined,
    rubinius::instructions::data_goto_if_true,
    rubinius::instructions::data_goto_if_undefined,
    rubinius::instructions::data_instance_of,
    rubinius::instructions::data_invoke_primitive,
    rubinius::instructions::data_kind_of,
    rubinius::instructions::data_make_array,
    rubinius::instructions::data_move_down,
    rubinius::instructions::data_noop,
    rubinius::instructions::data_object_to_s,
    rubinius::instructions::data_passed_arg,
    rubinius::instructions::data_passed_blockarg,
    rubinius::instructions::data_pop,
    rubinius::instructions::data_pop_many,
    rubinius::instructions::data_pop_unwind,
    rubinius::instructions::data_push_block,
    rubinius::instructions::data_push_block_arg,
    rubinius::instructions::data_push_const,
    rubinius::instructions::data_push_cpath_top,
    rubinius::instructions::data_push_current_exception,
    rubinius::instructions::data_push_exception_state,
    rubinius::instructions::data_push_false,
    rubinius::instructions::data_push_has_block,
    rubinius::instructions::data_push_int,
    rubinius::instructions::data_push_ivar,
    rubinius::instructions::data_push_literal,
    rubinius::instructions::data_push_local,
    rubinius::instructions::data_push_local_depth,
    rubinius::instructions::data_push_memo,
    rubinius::instructions::data_push_mirror,
    rubinius::instructions::data_push_my_field,
    rubinius::instructions::data_push_my_offset,
    rubinius::instructions::data_push_nil,
    rubinius::instructions::data_push_proc,
    rubinius::instructions::data_push_rubinius,
    rubinius::instructions::data_push_scope,
    rubinius::instructions::data_push_self,
    rubinius::instructions::data_push_stack_local,
    rubinius::instructions::data_push_true,
    rubinius::instructions::data_push_type,
    rubinius::instructions::data_push_undef,
    rubinius::instructions::data_push_variables,
    rubinius::instructions::data_raise_break,
    rubinius::instructions::data_raise_exc,
    rubinius::instructions::data_raise_return,
    rubinius::instructions::data_reraise,
    rubinius::instructions::data_restore_exception_state,
    rubinius::instructions::data_ret,
    rubinius::instructions::data_rotate,
    rubinius::instructions::data_run_exception,
    rubinius::instructions::data_send_method,
    rubinius::instructions::data_send_stack,
    rubinius::instructions::data_send_stack_with_block,
    rubinius::instructions::data_send_stack_with_splat,
    rubinius::instructions::data_send_super_stack_with_block,
    rubinius::instructions::data_send_super_stack_with_splat,
    rubinius::instructions::data_send_vcall,
    rubinius::instructions::data_set_call_flags,
    rubinius::instructions::data_set_const,
    rubinius::instructions::data_set_const_at,
    rubinius::instructions::data_set_ivar,
    rubinius::instructions::data_set_local,
    rubinius::instructions::data_set_local_depth,
    rubinius::instructions::data_set_stack_local,
    rubinius::instructions::data_setup_unwind,
    rubinius::instructions::data_shift_array,
    rubinius::instructions::data_store_my_field,
    rubinius::instructions::data_string_append,
    rubinius::instructions::data_string_build,
    rubinius::instructions::data_string_dup,
    rubinius::instructions::data_swap,
    rubinius::instructions::data_yield_debugger,
    rubinius::instructions::data_yield_splat,
    rubinius::instructions::data_yield_stack,
    rubinius::instructions::data_zsuper,
  };
}
